Subject: RE: [AVT] Sigalling for layered media -- do it genericor do itpayloadspecific

From: "Holmes,David A" <[email-masked]>
Date: Fri, 2 Dec 2005 09:01:43 -0800

This may seem like a minor detail, but while an English dictionary contains both spellings of "signalling" and "signaling", the commonly used spelling (e.g., IEEE Communications Magazine papers) in computer networking literature is "signaling".

David

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Thomas Schierl
Sent: Friday, December 02, 2005 8:23 AM
To: 'Andrea Lorenzo VITALI'
Cc: [email-masked]; 'Magnus Westerlund';
[email-masked]; 'Stephen Casner'; 'AVT WG'; 'Colin Perkins';
[email-masked]
Subject: RE: [AVT] Sigalling for layered media -- do it genericor do
itpayloadspecific

Andrea,

What I tried to say is, we could signal the dependency within SDP in a
generic way, but in the case of SVC that would be redundant information
since for SVC more detailed knowledge of the stream will be required for
doing real useful things like shown in the slides of Stephan.
In my opinion MDC is no reason for having generic signalling. Since there is
neither an international standard nor a widely accepted solution for MDC
available, instead of that basically different approaches are proposed
within research papers. Sorry, but I don't expect anything being
standardized in the next years. But that's my opinion only! Let us ask the
other people.

Nevertheless, there could be a reason doing the generic signalling also for
JPEG2000.
I want to ask this question now, better than having discussions too late in
the standardization process of the SVC payload format.
I'm not an expert with JPEG2000, but I want to ask the people working on
that draft:
Does it make sense to signal a layer dependency for JPEG2000 in a generic
way? 
If the answer should be YES, then we would have two codecs, which have
similar properties and could be used in a similar way. Thus generic
signalling could be useful.
Anyway extending the "group-semantics" would be enough for SVC and hopefully
for JPEG2000 as well.
But if the answer is NO, I can see no other use-cases, in which today's
scalable video codecs would strongly require the generic SDP signalling.

Thomas. 

> -----Original Message-----
> From: Andrea Lorenzo VITALI [mailto:[email-masked]]
> Sent: Friday, December 02, 2005 11:35 AM
> To: Thomas Schierl
> Cc: 'Magnus Westerlund'; 'Stephen Casner'; 'AVT WG'; 'Colin Perkins'
> Subject: Re: [AVT] Sigalling for layered media -- do it generic or do
> itpayloadspecific
> 
> 
> > I am in the opinion that a middlebox as well as a receiver has to have
> the
> > full knowledge about the media and therefore it must be able to parse
> all
> > binary SVC description. But it could make life easier if the
> > dependency/relation would be signalled via e.g. extended group-
> semantics.
> > But for SVC there is no strong demand on doing signalling in a generic
> way.
> 
> This is a good summary of available alternatives. Let me recap:
> 1) middlebox able to parse all binary description -> impractical
> 2) extended group-semantic (RFC 3388)
> 3) nothing -> not acceptable
> 
> Let me add that there is not only layered or scalable coding (SVC) but
> also other coding techniques as multiple description coding (MDC).
> 
> The 1st option is impractical. Middleboxes should be as simple as
> possible.
> 
> The 3rd option is not acceptable. It is easy indeed. But it does not
> exploit available features. E.g. dropping the least important layer
> (SVC) or one description (MDC).
> 
> The 2nd option is viable. Not easy, but also not impossible to do.
> 
> Wenger suggested a simple generic technique to signal dependency among
> layers in draft-wenger-avt-rtp-svc-00.txt
> 
> The technique was based on tagging layers and on signalling for each
> layer the "parent" layer. This works for SVC where each layer has only
> one parent layer. The base layer havo no parent. For your convenient I
> enclose here the example of Wenger (slide #9):
> 
>    base L0
>    |     \
>    |      \
>    L1:0    L2:0
>    |  \
>    |   \
>    L3:1 L4:1
>         |
>         |
>         L5:4
> 
> It would be useful to add another field (beyond the parent field) for
> the layer importance. In this way the middlebox can select the best
> child layer, for a given parent layer that has many childs.
> 
> Also, I think that it is possible to accomodate also MDC in a natural
> way because childs of a given layer can be seen as multiple descriptions
> of the ehnancement layer.
> 
> The only modification required (for sake of generality) is to let
> several base layer coexist.
> 
> The rest (what to do with a given layer) can be codec-dependent or not.
> 
> We tried to define a codec-independent way to support multiple layers
> with draft-vitali-ietf-avt-mdc-lc-00.txt.
> 
> However, as emerged during the 64th IETF meeting in Vancouver: "The
> proposed attributes are an example of general SDP signalling, much
> as described earlier in the session by Stephan Wenger, and demonstrate
> the complexity of defining codec independent signalling for multiple
> description coding."
> 
> So we are thinking about simplifying the proposed scheme.
> 
>    Andrea
> 
> --
>   ______________________________________________________________
> 
>    Andrea VITALI                            [email-masked]
> 
>    tel (+39) 039 603 7244             mobile (+39) 347 93 08 433
>    fax (+39) 039 603 6129
> 
>    STMicroelectronics
>    Centro Direzionale COLLEONI - Palazzo "DIALETTICA"
>    20041 Agrate Brianza (MI) ITALY
>   ______________________________________________________________

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Fri, 02 Dec 2005 12:21:32 -0500

Depends where you come from.  "Signalling" in Canada and Britain.